{
    "name": "renz-shop-2020",
    "version": "1.0.0",
    "main": "frontend/src/index.ts",
    "author": "Webmakers GmbH",
    "private": true,
    "license": "",
    "scripts": {
        "validate": "svelte-check && tsc --noEmit",
        "dev": "node scripts/esbuild-wrapper.js watch",
        "start": "node scripts/esbuild-wrapper.js start",
        "start:ssr": "SSR=1 node scripts/esbuild-wrapper.js start",
        "start:remoteapi": "API_BASE=https://dev.renzshop.testversion.online/api node scripts/esbuild-wrapper.js start",
        "docker:start": "docker compose -f docker-compose-local.yml up; docker compose -f docker-compose-local.yml down",
        "docker:up": "docker compose -f docker-compose-local.yml up -d",
        "docker:down": "docker compose -f docker-compose-local.yml down",
        "docker:logs": "docker compose -f docker-compose-local.yml logs -f",
        "docker:yarnupgrade": "docker compose -f docker-compose-local.yml run --rm yarnstart sh -c 'cd /data && yarn upgrade-interactive'",
        "build": "node scripts/esbuild-wrapper.js build",
        "build:admin": "node scripts/esbuild-wrapper.js build esbuild.config.admin.js",
        "build:legacy": "node scripts/esbuild-wrapper.js build esbuild.config.legacy.js && babel _temp/index.js -o _temp/index.babeled.js && esbuild _temp/index.babeled.js --outfile=frontend/dist/index.es5.js --target=es5 --bundle --minify --sourcemap",
        "build:server": "node scripts/esbuild-wrapper.js build esbuild.config.server.js && babel --config-file ./babel.config.server.json _temp/app.server.js -o _temp/app.server.babeled.js && esbuild _temp/app.server.babeled.js --outfile=api/hooks/lib/app.server.js --bundle --sourcemap --platform=node",
        "build:test": "node scripts/esbuild-wrapper.js build esbuild.config.test.js && babel --config-file ./babel.config.test.json _temp/hook.test.js -o _temp/hook.test.babeled.js && esbuild _temp/hook.test.babeled.js --outfile=api/hooks/lib/hook.test.js --target=es5 --bundle --sourcemap --platform=node",
        "upload:sourcemaps": "scripts/upload-sourcemaps.sh"
    },
    "devDependencies": {
        "@babel/cli": "^7.27.2",
        "@babel/core": "^7.27.1",
        "@babel/plugin-transform-async-to-generator": "^7.27.1",
        "@babel/preset-env": "^7.27.2",
        "@tsconfig/svelte": "^5.0.4",
        "@types/lodash": "^4.17.17",
        "browser-sync": "^3.0.4",
        "chokidar": "^4.0.3",
        "connect-history-api-fallback": "^2.0.0",
        "copy-dir": "^1.3.0",
        "esbuild": "^0.25.4",
        "esbuild-svelte": "^0.9.2",
        "http-proxy-middleware": "^3.0.5",
        "less": "^4.3.0",
        "morgan": "^1.10.0",
        "node-fetch": "^3.3.2",
        "postcss": "^8.5.3",
        "prettier": "^3.5.3",
        "prettier-plugin-svelte": "^3.4.0",
        "sass": "^1.89.0",
        "svelte": "^5.32.1",
        "svelte-check": "^4.2.1",
        "svelte-lazy": "^1.2.11",
        "svelte-loading-spinners": "^0.3.6",
        "svelte-preprocess": "^6.0.3",
        "svelte-preprocess-esbuild": "^3.0.1",
        "svelte-scrollto": "^0.2.0",
        "tslib": "^2.8.1",
        "typescript": "^5.8.3"
    },
    "dependencies": {
        "@mdi/js": "^7.4.47",
        "@microsoft/fetch-event-source": "^2.0.1",
        "@okrad/svelte-progressbar": "^2.2.0",
        "@paypal/paypal-js": "^8.2.0",
        "@sentry/cli": "^2.45.0",
        "@sentry/svelte": "^9.22.0",
        "@splidejs/svelte-splide": "^0.2.9",
        "@tiptap/core": "^2.22.3",
        "@tiptap/extension-color": "^2.22.3",
        "@tiptap/extension-image": "^2.25.0",
        "@tiptap/extension-paragraph": "^2.25.0",
        "@tiptap/extension-placeholder": "^2.22.3",
        "@tiptap/pm": "^2.22.3",
        "@tiptap/starter-kit": "^2.22.3",
        "@types/p-debounce": "^1.0.1",
        "animejs": "^4.0.2",
        "browser-image-compression": "^2.0.2",
        "core-js": "3.42.0",
        "cryptcha": "ssh://git@gitbase.de:2222/cms/cryptcha.git#commit=3b7eb945b62669bfed6cdf4e190824eaea515487",
        "esbuild-plugin-copy": "^2.1.1",
        "flatpickr": "^4.6.13",
        "jwt-decode": "^4.0.0",
        "lodash": "^4.17.21",
        "mdi-svelte": "^1.1.2",
        "object-hash": "^3.0.0",
        "p-debounce": "^4.0.0",
        "progressbar.js": "^1.1.1",
        "resize-observer-polyfill": "^1.5.1",
        "simplebar": "^6.3.1",
        "svelte-i18n": "^4.0.1",
        "svelte-markdown": "^0.4.1",
        "svelte-material-icons": "^3.0.5",
        "svelte-range-slider-pips": "4",
        "svelte-select": "^5.8.3",
        "video.js": "^8.23.3"
    },
    "packageManager": "yarn@3.2.0"
}
